> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List the authenticated user's API keys

> Retrieve the API keys belonging to the currently authenticated user. The keys themselves are not recoverable and are never included in the response.



## OpenAPI

````yaml get /v1/user/api_keys
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/user/api_keys:
    get:
      tags:
        - api_keys
      summary: List the authenticated user's API keys
      description: >-
        Retrieve the API keys belonging to the currently authenticated user. The
        keys themselves are not recoverable and are never included in the
        response.
      operationId: getUserApiKeys
      responses:
        '200':
          description: The authenticated user's API keys.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiKeysResponseBody'
        '401':
          content:
            text/plain:
              schema:
                type: string
          description: Unauthorized
        '403':
          content:
            text/plain:
              schema:
                type: string
          description: Forbidden
components:
  schemas:
    GetApiKeysResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ApiKey'
          type: array
          title: Data
      type: object
      required:
        - data
      title: GetApiKeysResponseBody
    ApiKey:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          type: string
          format: date-time
          title: Created At
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
      type: object
      required:
        - id
        - name
        - created_at
      title: ApiKey

````